Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044604
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Discounts Combomajoralways2020-07-13 16:392020-08-03 13:12
ReporterlmonrealView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget VersionRR19Q3.3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044604: Combos and Combos fix price configuration incorrect and triggering wrong behaviour in BO

DescriptionCombos and Combos fix price configuration seems to be mixed resulting in an incorrect and wrong behaviour in the back office

Video (In Spanish):
https://drive.google.com/file/d/1GYBuiFfbLDO2LJfvTahUmrxREcY0gHHH/view [^]
https://drive.google.com/file/d/1DpOQ2cFp70CGQlnVbTqqyko_QwKfad_n/view [^]


*Is from Decathlon France
Steps To Reproduce1. Create a Combo Fix Price
2. Click on family and create a register--->Several options are displayed in Discount Type field (?)
3. Select Fix discount and enter a discount
4. Create a second family and select Fix price in the Discount type field
5. Add fixed price
6. Save and refresh--->Check there is ** in the Discount Type Field because it is not correct

7. Now create a Combo discount
8. Create the family and check that in Discount type only Combo fix price and **Fixed discount are displayed--> ??? In here is where the drop down list of discounts types should be displayed with all of them
9. Logout/Login
10. Create a combo discount again
11. Create the family and check that now Discount Type field display all options


Proposed Solution1. For combo fix price:

In the family tab, no discount type drop down should be displayed as it is already defined in the header (combo fix price). Plus in the header there is a field to enter the amount of the Combo Price.

2. For Combo:
In the family tab, the field discount type should be displayed with all the options to make the combination desired
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0121754)
hgbot (developer)
2020-08-03 10:50

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.combo/-/merge_requests/2 [^]
(0121767)
hgbot (developer)
2020-08-03 13:12

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.combo [^]
Changeset: 8f7170159ef403848a1383c3d719cbac5f6bd327
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2020-08-03T12:23:06+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.combo/-/commit/8f7170159ef403848a1383c3d719cbac5f6bd327 [^]

Fixed ISSUE-44604: Update ADColumn to prevent error when rendering Combo Family fields
* Updated DefaultValue query of Seq No. Column in Family table
* Discount Type in Family tab should be displayed for Combo Discount Type only

---
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_FIELD.xml
---
(0121768)
hgbot (developer)
2020-08-03 13:12

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.combo/-/merge_requests/2 [^]

- Issue History
Date Modified Username Field Change
2020-07-13 16:39 lmonreal New Issue
2020-07-13 16:39 lmonreal Assigned To => Retail
2020-07-13 16:39 lmonreal Triggers an Emergency Pack => No
2020-07-30 13:31 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2020-08-03 06:10 ranjith_qualiantech_com Status new => scheduled
2020-08-03 10:50 hgbot Note Added: 0121754
2020-08-03 13:12 hgbot Resolution open => fixed
2020-08-03 13:12 hgbot Status scheduled => closed
2020-08-03 13:12 hgbot Note Added: 0121767
2020-08-03 13:12 hgbot Note Added: 0121768


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker